import request from '@/utils/request'

// 查询素材使用记录列表
export function listMaterialUse(query) {
  return request({
    url: '/system/materialUse/list',
    method: 'get',
    params: query
  })
}

// 查询素材使用记录详细
export function getMaterialUse(id) {
  return request({
    url: '/system/materialUse/' + id,
    method: 'get'
  })
}

// 新增素材使用记录
export function addMaterialUse(data) {
  return request({
    url: '/system/materialUse',
    method: 'post',
    data: data
  })
}

// 修改素材使用记录
export function updateMaterialUse(data) {
  return request({
    url: '/system/materialUse',
    method: 'put',
    data: data
  })
}

// 删除素材使用记录
export function delMaterialUse(id) {
  return request({
    url: '/system/materialUse/' + id,
    method: 'delete'
  })
}
